Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class PortletRenderHelper

    java.lang.Object
      com.bea.portal.render.servlets.jsp.RenderHelper
          com.bea.portal.render.servlets.jsp.PortletRenderHelper

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PortletRenderHelper
extends RenderHelper

A helper class with static methods used to assist in rendering the portal's portlets.

Field Summary
`static String` | `CURRENT_PORTLET_KEY` Deprecated.

Constructor Summary
`PortletRenderHelper()` Deprecated.

Method Summary
`static boolean` | `isEditable(HttpServletRequest request)` Deprecated. Is the current portlet able to be edited
`static boolean` | `isFloatable(HttpServletRequest request)` Deprecated. Is the current portlet able to be floated
`static boolean` | `isInEditMode(HttpServletRequest request)` Deprecated. Is the current portlet in the edit mode
`static boolean` | `isMaximizable(HttpServletRequest request)` Deprecated. Is the current portlet able to be maximizable
`static boolean` | `isMaximized(HttpServletRequest request)` Deprecated. Is the current portlet in the maximized state
`static boolean` | `isMinimizable(HttpServletRequest request)` Deprecated. Is the current portlet able to be minimized
`static boolean` | `isMinimized(HttpServletRequest request)` Deprecated. Is the current portlet minimized

Methods inherited from class com.bea.portal.render.servlets.jsp.RenderHelper
`getPageIdentifier, getPageState, getPortalSession, getPortalState, getPortletIdentifier, getPortletState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_PORTLET_KEY

    public static final String CURRENT_PORTLET_KEY

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### PortletRenderHelper

    public PortletRenderHelper()

  Deprecated.

Method Detail

### isEditable

    public static boolean isEditable(HttpServletRequest request)
                              throws JspException

  Deprecated.
  Is the current portlet able to be edited

  Throws:
    `JspException`

### isFloatable

    public static boolean isFloatable(HttpServletRequest request)
                               throws JspException

  Deprecated.
  Is the current portlet able to be floated

  Throws:
    `JspException`

### isInEditMode

    public static boolean isInEditMode(HttpServletRequest request)
                                throws JspException

  Deprecated.
  Is the current portlet in the edit mode

  Throws:
    `JspException`

### isMaximizable

    public static boolean isMaximizable(HttpServletRequest request)
                                 throws JspException

  Deprecated.
  Is the current portlet able to be maximizable

  Throws:
    `JspException`

### isMaximized

    public static boolean isMaximized(HttpServletRequest request)
                               throws JspException

  Deprecated.
  Is the current portlet in the maximized state

  Throws:
    `JspException`

### isMinimizable

    public static boolean isMinimizable(HttpServletRequest request)
                                 throws JspException

  Deprecated.
  Is the current portlet able to be minimized

  Throws:
    `JspException`

### isMinimized

    public static boolean isMinimized(HttpServletRequest request)
                               throws JspException

  Deprecated.
  Is the current portlet minimized

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved